<?php

namespace App\Http\Controllers;

use App\Models\product_category_setting_model;
use App\Models\product_color_setting_model;
use App\Models\product_size_setting_model;
use App\Models\product_sub_category_model;
use App\Models\project_color_setting_model;
use App\Models\user_model;
use App\Models\budget_model;
use App\Models\login_model;
use App\Models\email_model;
use Illuminate\Http\Request;


class email_controller extends Controller
{
    protected $users;
    protected $budgets;
    protected $login;
    protected $email;
    protected $category;
    protected $sub_category;
    protected $color;
    protected $size;
    protected $project_color;

    public function __construct()
    {
        $this->users = new user_model;
        $this->budgets = new budget_model;
        $this->login = new login_model;
        $this->email = new email_model;
        $this->category = new product_category_setting_model;
        $this->sub_category = new product_sub_category_model;
        $this->color = new product_color_setting_model;
        $this->size = new product_size_setting_model;
        $this->project_color = new project_color_setting_model;
    }

    public function index(){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $url = route('save_settings');

        $title = 'Email Configuration';
        $users = $this->users->all();

        $email_configuration = $this->email->first();

        $categories = $this->category->all();
        $sub_categories = $this->sub_category->all();
        $colors = $this->color->all();
        $project_colors = $this->project_color->all();
        
        $color = $project_colors[0];

        $sizes = $this->size->all();

        $category_url = route('save_product_category_settings');
        $color_url = route('save_product_color_settings');
        $size_url = route('save_product_size_settings');
        $data = compact('users','login_user','title','url','email_configuration','category_url','color_url','size_url','categories','sub_categories','colors','sizes','color');
//        dd(session()->all());

        return view('email')->with($data);
    }

    public function save_settings(Request $request){

        $request->validate([
            'mail_mailer' => 'required',
            'mail_host' => 'required',
            'mail_port' => 'required|numeric',
            'mail_username' => 'required|email',
            'mail_password' => 'required',
            'mail_from_address' => 'required|email',
            'mail_from_name' => 'required|string',
            'encryption' => 'required|in:ssl,tls,null',
        ]);

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $email_configuration = $this->email->first();

        if(!empty($email_configuration)){

            $email_configuration->mail_mailer = $request['mail_mailer'];
            $email_configuration->mail_host = $request['mail_host'];
            $email_configuration->mail_port = $request['mail_port'];
            $email_configuration->mail_username = $request['mail_username'];
            $email_configuration->mail_password = $request['mail_password'];
            $email_configuration->mail_from_address = $request['mail_from_address'];
            $email_configuration->mail_from_name = $request['mail_from_name'];
            $email_configuration->encryption = $request['encryption'];

            $email_configuration->save();

        }else{

            $this->email->mail_mailer = $request['mail_mailer'];
            $this->email->mail_host = $request['mail_host'];
            $this->email->mail_port = $request['mail_port'];
            $this->email->mail_username = $request['mail_username'];
            $this->email->mail_password = $request['mail_password'];
            $this->email->mail_from_address = $request['mail_from_address'];
            $this->email->mail_from_name = $request['mail_from_name'];
            $this->email->encryption = $request['encryption'];

            $this->email->save();

        }

        return redirect(route('users'));

    }

}
