<?php

namespace App\Http\Controllers;

use App\Models\login_model;
use App\Models\order_status_model;
use App\Models\user_model;
use App\Models\product_model;
use App\Models\budget_model;
use App\Models\cart_total_model;
use App\Models\cart_model;
use Illuminate\Http\Request;

class orders extends Controller
{
    protected $login;
    protected $users;
    protected $products;
    protected $budgets;
    protected $cart_total;
    protected $cart;
    protected $order_status;

    public function __construct()
    {
        $this->login = new login_model;
        $this->users = new user_model;
        $this->products = new product_model;
        $this->budgets = new budget_model;
        $this->cart_total = new cart_total_model;
        $this->cart = new cart_model;
        $this->order_status = new order_status_model;
    }

    public function index(){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $users = $this->users->all();
        $products = $this->products->all();
        $budget = $this->budgets->all();

        $cart_total = $this->cart_total->all();
        $carts = $this->cart->all();

        $order_list = [];
        foreach ($cart_total as $single_cart_total){

            foreach ($carts as $cart){

                if ($cart->groupid == $single_cart_total->cart_group){

                    foreach ($users as $user){

                        if($user->id == $cart->userid){

                            $order_list[] = [
                                'total' => $single_cart_total->total,
                                'created_at' => $single_cart_total->created_at->format('Y-m-d H:i:s'),
                                'userid' => $cart->userid,
                                'user_name' => $user->name,
                                'user_email' => $user->email,
                                'cart_groupid' => $cart->groupid,
                            ];

                            break;

                        }

                    }

                }

            }

        }


        $data = compact('users','login_user','products','budget','cart_total','order_list');
//        dd(session()->all());

        return view('orders')->with($data);
    }

    public function delete($id){

        $this->cart->where('groupid',$id)->delete();
        $this->cart_total->where('cart_group',$id)->delete();

        return redirect(route('orders'));
    }

    public function view_order($id){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $users = $this->users->all();
        $cart_totals = $this->cart_total->all();
        $carts = $this->cart->all();

        $url = route('order_status_form');

        $cart_total = $this->cart_total->where('cart_group',$id)->first();
        $current_order_status = $this->order_status->where('cart_total_id',$cart_total->id)->value('order_status');

        $cart_total_id = $cart_group_id = '';

        $order_details = [];
        foreach ($cart_totals as $cart_total) {
            if ($cart_total->cart_group == $id) {

                $cart_total_id = $cart_total->id;
                $cart_group_id = $cart_total->cart_group;

                $user_products = [];

                foreach ($carts as $cart) {
                    if ($cart->groupid == $id) {

                        foreach ($users as $user) {
                            if ($user->id == $cart->userid) {

                                $product = $this->products->where('id', $cart->pid)->first();

                                // Push product to user's product list
                                $user_products[] = [
                                    'pid' => $cart->pid ?? '',
                                    'quantity' => $cart->quantity ?? '',
                                    'price' => $cart->price ?? '',
                                    'product_name' => $product->name ?? '',
                                    'product_stock' => $product->quantity ?? '',
                                    'product_size' => $product->size ?? '',
                                    'product_price' => $product->price ?? '',
                                ];

                                $order_details[$user->id] = [
                                    'userid' => $user->id,
                                    'user_name' => $user->name,
                                    'user_email' => $user->email,
                                    'cart_total_id' => $cart_total->id,
                                    'cart_group_id' => $cart_total->cart_group,
                                    'total' => $cart_total->total,
                                    'created_at' => $cart_total->created_at->format('Y-m-d H:i:s'),
                                    'products' => $user_products,
                                ];
                            }
                        }
                    }
                }
            }
        }

        $data = compact('login_user','order_details','url','cart_total_id','cart_group_id','current_order_status');

        return view('view_order')->with($data);

    }

    public function order_status(Request $request){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $request->validate([
            'order_status' => 'required',
        ]);

        $existing = $this->order_status->where('cart_total_id',$request['cart_total_id'])->first();

        if(empty($existing)){

            $this->order_status->cart_total_id = $request['cart_total_id'];
            $this->order_status->order_status = $request['order_status'];
            if($request['order_status'] == 'delivered'){
                $this->order_status->created_at = now();
            }
            $this->order_status->save();

        }else{
            $existing->order_status = $request['order_status'];
            if ($request['order_status'] == 'delivered') {
                $existing->created_at = now();
            }
            $existing->save();
        }
        
        return redirect(route('orders'));
    }

}
