<?php

namespace App\Http\Controllers;

use App\Models\product_color_setting_model;
use App\Models\project_color_setting_model;

use Illuminate\Http\Request;

class product_color_setting_controller extends Controller
{
    protected $color;
    protected $project_color;

    public function __construct()
    {
        $this->color = new product_color_setting_model;
        $this->project_color = new project_color_setting_model;
    }

    public function save_product_color_settings(Request $request){

        $request->validate([
            'color' => 'required',
        ]);

        $existing = $this->color->where('color',$request['color'])->first();

        if(empty($existing)){

            $this->color->primary_color = $request['color'];
            $this->color->save();
        }else{

            $existing->primary_color = $request['color'];
            $existing->save();
        }

        return redirect(route('settings'));
    }

    public function save_project_color_settings(Request $request){

        $request->validate([
            'primary_color' => 'required',
            'secondary_color' => 'required',
        ]);

        $existing = $this->project_color->first();

        if(empty($existing)){

            $this->project_color->primary_color = $request['primary_color'];
            $this->project_color->secondary_color = $request['secondary_color'];
            $this->project_color->save();
        }else{

            $existing->primary_color = $request['primary_color'];
            $existing->secondary_color = $request['secondary_color'];
            $existing->save();
        }

        return redirect(route('settings'));
    }

    public function delete_product_color($color_id){

        $this->color->where('id',$color_id)->delete();

        return [
            'color' => 'delete',
        ];

    }


}
