(function ($) {

    console.log('jquery js');

    const baseUrl = $('meta[name="base-url"]').attr('content');


    $(document).ready(function() {
        $('#custom_budget').prop('disabled', true);

        // When the checkbox is clicked, disable or enable the input field
        $('#custom_budget_checkbox').change(function() {
            if ($(this).is(':checked')) {
                // Disable the input field if the checkbox is checked
                $('#budget').prop('disabled', true);
                $('#custom_budget').prop('disabled', false);
            } else {
                // Enable the input field if the checkbox is unchecked
                $('#budget').prop('disabled', false);
                $('#custom_budget').prop('disabled', true);
            }
        });

        // Initial check to disable the input field if the checkbox is already checked on page load
        if ($('#custom_budget_checkbox').is(':checked')) {
            $('#custom_budget').prop('disabled', true);
        }
    });

    $('.add_child').on('click',function () {

        var id = $(this).data('id');

        console.log('click: ',id);

        $('#' + id).css('display', 'block');

    });

    $('.del_category').on('click',function () {

        var id = $(this).data('id');
        var categoryDiv = $(this).closest('.category');
        console.log('click del cat: ',id);

        $.ajax({
            url: baseUrl + '/settings/del_product_category/' + id,
            type: 'get',
            data: {
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                categoryDiv.remove();

                console.log('response: ', response);

            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });



    });

    $(document).on('submit', '.sub_category_form', function(e) {
        e.preventDefault();

        let form = $(this);
        let categoryId = form.attr('id');
        let subCategory = form.find('input[name="sub_category"]').val();

        console.log('Form ID:', categoryId);
        console.log('Sub Category:', subCategory);

        $.ajax({
            url: baseUrl + '/settings/product_sub_category',
            type: 'post',
            data: {
                category_id: categoryId,
                sub_category: subCategory,
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                // $('#' + categoryId).css('display', 'none');
                form.hide();

                $('.category[data-id="' + categoryId + '"] .sub_categories').html(response.html);

                console.log('response: ', response);

            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });


    });

    $('.del_sub_category').on('click',function () {

        var id = $(this).data('id');
        var subCategoryDiv = $(this).closest('.sub_category');
        console.log('click del: ',id);

        $.ajax({
            url: baseUrl + '/settings/del_product_sub_category/' + id,
            type: 'get',
            data: {
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                subCategoryDiv.remove();

                console.log('response: ', response);

            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });



    });

    $('.del_size').on('click',function () {

        var id = $(this).data('id');
        var sizeDiv = $(this).closest('.size');
        console.log('click del size: ',id);

        $.ajax({
            url: baseUrl + '/settings/del_product_size/' + id,
            type: 'get',
            data: {
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                sizeDiv.remove();

                console.log('response: ', response);

            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });

    });

    $('.del_color').on('click',function () {

        var id = $(this).data('id');
        var colorDiv = $(this).closest('.color');
        console.log('click del color: ',id);

        $.ajax({
            url: baseUrl + '/settings/del_product_color/' + id,
            type: 'get',
            data: {
                _token: $('meta[name="csrf-token"]').attr('content') // Important for Laravel
            },
            success: function(response) {

                colorDiv.remove();

                console.log('response: ', response);

            },
            error: function(xhr) {
                console.log('Error:', xhr.responseText);
            }
        });

    });

})(jQuery);
