@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">User Form</a>
@endpush

@section('page_title')

    <h1>{{$title}}</h1>

    <a href="{{route('budgets')}}">
        <button class="btn btn-primary">Back</button>
    </a>

@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection

@section('profile')

    @include('layouts/profile')

@endsection

@section('main_div')

    <div class="container">
        <div class="tab-pane fade show active">
            <div class="card mt-24">
                <div class="card-header border-bottom">
                    <div class="card-body">
        <form action="{{$url}}" method="post">
            @csrf

            <div class="mb-3">
                <label for="name" class="form-label mb-8 h6">Name</label>
                <input id="name" type="text" class="form-control py-11" name="name" value="{{ old('name',$budget->name) }}">

                <span class="text-danger">
                    @error('name') {{$message}} @enderror
                </span>

            </div>

            <div class="mb-3">

                <label for="price" class="form-label mb-8 h6">Price</label>
                <input id="price" type="text" class="form-control py-11" name="price" value="{{ old('price',$budget->price) }}" >

                <span class="text-danger">
                    @error('price') {{$message}} @enderror
                </span>

            </div>

            <button class="btn btn-primary" type="submit">Confirm</button>
        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>
    </div>

@endsection
