@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">Budget</a>
@endpush

@section('page_title')
<div class="container">
    <h1>Budgets List</h1>

    <div class="d-flex justify-content-between">
            <div class="card user-management">
                <div class="card-body management">
                    <div class="upcoming-box">
                        <div class="upcoming-icon "><span class="d-flex text-xl"><i class="ph ph-invoice"></i></span></div>
                        <h1>Total Budgets: {{ $budgets->count() }}</h1>
                    </div>

                    <div class="add-product-btn">
                        <a href="{{route('budget_form')}}">
                            <button class="btn btn-primary">Add Budget</button>
                        </a>
                </div>
            </div>
        </div>

    </div>
</div>
@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection


@section('profile')

    @include('layouts/profile')

@endsection

@section('main_div')

    <div class="container">

        <table id="studentTable" class="table table-striped dataTable">
            <thead>
            <tr role="row">
                <th scope="col" class="fixed-width dt-orderable-none dt-ordering-asc">Name</th>
                <th scope="col" class="fixed-width dt-orderable-none dt-ordering-asc">Price</th>
                <th scope="col" class="fixed-width dt-orderable-none dt-ordering-asc">Action</th>
            </tr>
            </thead>
            <tbody>
            @foreach($budgets as $budget)
                <tr role="row">
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$budget->name}}</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$budget->price}}$</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">
                        <a href="{{route('edit_budget',['id'=>$budget->id])}}">
                            <span class="icon"><i class="fas fa-edit"></i></span>
                        </a>
                        |
                        <a href="{{route('delete_budget',['id'=>$budget->id])}}">
                            <span class="icon"><i class="ph ph-trash"></i></span>
                        </a>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    </div>

@endsection
