@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('products')}}">Bulk Product Form</a>
@endpush

@section('page_title')

    <h1>{{$title}}</h1>

    <a href="{{route('products')}}">
        <button class="btn btn-primary">Back</button>
    </a>

@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection

@section('profile')

    @include('layouts/profile')

@endsection

@section('main_div')

    <div class="container">
        <div class="tab-pane fade show active">
            <div class="card mt-24">
                <div class="card-header border-bottom">
                    <div class="card-body">
                        <form action="{{$url}}" method="post" enctype="multipart/form-data">
                            @csrf

                            <div class="mb-3">
                                <label for="products" class="form-label mb-8 h6"></label>
                                <input id="products" type="file" class="form-control py-11" name="products" value="{{ old('products') }}">
                                <small class="form-text text-muted d-block mt-2">Upload Csv File For Bulk Product.</small>
                                <span class="text-danger">
                                    @error('products') {{$message}} @enderror
                                </span>
                            </div>

                            <button class="btn btn-primary" type="submit">Confirm</button>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    </div>

@endsection
