@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('dashboard')}}">Dashboard</a>
@endpush

@section('page_title')

    <div class="container">
        <h1>Dashboard</h1>

        <div class="d-flex justify-content-between">
            <div class="dashbord user-management">
                <a href="{{route('users')}}">
                    <div class="dashbord-management">
                        <div class="dashbord-box">
                            <div class="dashbord-icon"><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                            <h3 class="dashbord-text">Total Users: </h3>
                            <h1 class="dashbord-count">{{ $users->count() }}</h1>
                        </div>

                    </div>
                </a>
            </div>
            <div class="dashbord user-management">
                <a href="{{route('products')}}">
                    <div class="management">
                        <div class="dashbord-box">
                            <div class="dashbord-icon"><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                            <h3 class="dashbord-text">Total Products: </h3>
                            <h1 class="dashbord-count">{{ $products->count() }}</h1>
                        </div>
                    </div>
                </a>
            </div>
            <div class="dashbord user-management">
                <a href="{{route('budgets')}}">
                    <div class="dashbord-management">
                        <div class="dashbord-box">
                            <div class="dashbord-icon "><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                            <h3 class="dashbord-text">Total Budget: </h3>
                            <h1 class="dashbord-count">{{ $budget->count() }}</h1>
                        </div>
                    </div>
                </a>
            </div>

            <div class="dashbord user-management">
                <a href="{{route('orders')}}">
                    <div class="dashbord-management">
                        <div class="dashbord-box">
                            <div class="dashbord-icon"><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                            <h3 class="dashbord-text">Total Orders: </h3>
                            <h1 class="dashbord-count">{{ $cart_total->count() }}</h1>
                        </div>
                    </div>
                </a>
            </div>

        </div>
    </div>

@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection

@section('profile')

    @include('layouts/profile')

@endsection

@section('main_div')

    <div class="container">

        <table id="studentTable" class="table table-striped dataTable">
            <thead>
            <tr role="row">
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Name</th>
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Email</th>
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Total</th>
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Created At</th>
            </tr>
            </thead>
            <tbody>
            @foreach(array_slice($order_list, 0, 3) as $order)
                <tr role="row">
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$order['user_name']}}</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$order['user_email']}}</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$order['total']}}</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$order['created_at']}}</td>
                </tr>
            @endforeach
            </tbody>
        </table>

    </div>
    </div>
@endsection
