@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('orders')}}">Orders</a>
@endpush

@section('page_title')

    <div class="container">
        <h1>Orders</h1>

        <div class="d-flex justify-content-between">
            <div class="card user-management">
                <div class="card-body management">
                    <div class="upcoming-box">
                        <div class="upcoming-icon "><span class="d-flex text-xl"><i class="fab fa-first-order"></i></span></div>
                        <h1>Total Orders: {{ $cart_total->count() }}</h1>
                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection

@section('side_bar')

    @include('layouts/side_bar');

@endsection

@section('profile')

    @include('layouts/profile');

@endsection

@section('main_div')

    <div class="container">
        <table id="studentTable" class="table table-striped dataTable">
            <thead>
                <tr role="row">
                    <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Name</th>
                    <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Email</th>
                    <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Total</th>
                    <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Created At</th>
                    <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($order_list as $order)
                    <tr role="row">
                        <td class="h6 mb-0 fw-medium text-gray-300">{{$order['user_name']}}</td>
                        <td class="h6 mb-0 fw-medium text-gray-300">{{$order['user_email']}}</td>
                        <td class="h6 mb-0 fw-medium text-gray-300">{{$order['total']}}</td>
                        <td class="h6 mb-0 fw-medium text-gray-300">{{$order['created_at']}}</td>
                        <td>
                            <a href="{{route('view_order',['id'=>$order['cart_groupid']])}}">
                                <span class="icon"><i class="fas fa-edit"></i></span>
                            </a>
                            |
                            <a href="{{route('delete_order',['id'=>$order['cart_groupid']])}}">
                                <span class="icon"><i class="ph ph-trash"></i></span>
                            </a>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    </div>

@endsection
