@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('users')}}">Product Form</a>
@endpush

@section('page_title')

    <h1>{{$title}}</h1>

    <a href="{{route('products')}}">
        <button class="btn btn-primary">Back</button>
    </a>

    <a href="{{route('bulk_products')}}">
        <button class="btn btn-secondary">Upload Bulk Products</button>
    </a>

@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection

@section('profile')

    @include('layouts/profile')

@endsection

@section('main_div')

    <div class="container">
        <div class="tab-pane fade show active">
            <div class="card mt-24">
                <div class="card-header border-bottom">
                    <div class="card-body">
                        <form method="post" action="{{$url}}" enctype="multipart/form-data">
                            @csrf
{{--                            <div class="mb-3">--}}
{{--                                <label for="category" class="form-label mb-8 h6">Category</label>--}}
{{--                                <select id="category" name="category" class="form-select">--}}
{{--                                    <option value="" disabled selected>Select a Category</option>--}}

{{--                                    @foreach($sub_categories as $sub_category)--}}
{{--                                        <option value="{{$sub_category->id}}" {{ old('category', $sub_category->id ?? '') == $product->category ? 'selected' : '' }}>{{$sub_category->sub_category}}</option>--}}
{{--                                    @endforeach--}}

{{--                                </select>--}}
{{--                                <span class="text-danger">--}}
{{--                                    @error('category'){{$message}}@enderror--}}
{{--                                </span>--}}
{{--                            </div>--}}

                            <div class="mb-3">
                                <label class="form-label mb-2 h6">Category</label>
                                <div class="d-flex">
                                    @foreach($categories as $category)
                                        <div class="me-3 mb-2">
                                            <input
                                                class="form-check-input"
                                                type="checkbox"
                                                name="category[]"
                                                value="{{ $category->id }}"
                                                id="category_{{ $category->id }}"
                                                {{ in_array($category->id, explode(',', $product->category ?? '')) ? 'checked' : '' }}
                                            >
                                            <label class="form-check-label" for="category_{{ $category->id }}">
                                                {{ $category->category }}
                                            </label>
                                        </div>
                                    @endforeach
                                </div>
                                <span class="text-danger">
                                    @error('category'){{ $message }}@enderror
                                </span>
                            </div>


                            <div class="mb-3">
                                <label for="name" class="form-label mb-8 h6">Name</label>
                                <input id="name" type="text" class="form-control py-11" name="name" value="{{ old('name',$product->name) }}">
                                <span class="text-danger">
                                    @error('name') {{$message}} @enderror
                                </span>
                            </div>
                            <div class="mb-3">
                                <label for="quantity" class="form-label mb-8 h6">Stock</label>
                                <input id="quantity" type="text" class="form-control py-11" name="quantity" value="{{ old('quantity',$product->quantity) }}" >
                                <span class="text-danger">
                                    @error('quantity') {{$message}} @enderror
                                </span>
                            </div>
{{--                            <div class="mb-3">--}}
{{--                                <label for="size" class="form-label mb-8 h6">Size</label>--}}
{{--                                <select id="size" name="size" class="form-select">--}}
{{--                                    <option value="" disabled selected>Select a Size</option>--}}

{{--                                    @foreach($sizes as $size)--}}
{{--                                        <option value="{{$size->id}}" {{ old('size', $size->id ?? '') == $product->size ? 'selected' : '' }}>{{$size->size}}</option>--}}
{{--                                    @endforeach--}}

{{--                                </select>--}}
{{--                                <span class="text-danger">--}}
{{--                                    @error('size'){{$message}}@enderror--}}
{{--                                </span>--}}
{{--                            </div>--}}

                            <div class="mb-3">
                                <label class="form-label mb-2 h6">Size</label>
                                <div class="d-flex ">
                                    @foreach($sizes as $size)
                                        <div class="form-check-inline">
                                            <input
                                                class="form-check-input"
                                                type="checkbox"
                                                name="size[]"
                                                value="{{ $size->id }}"
                                                id="size_{{ $size->id }}"
                                                {{ in_array($size->id, explode(',', $product->size ?? '')) ? 'checked' : '' }}
                                            >
                                            <label class="form-check-label" for="size_{{ $size->id }}">
                                                {{ $size->size }}
                                            </label>
                                        </div>
                                    @endforeach
                                </div>
                                <span class="text-danger">
                                    @error('size'){{ $message }}@enderror
                                </span>
                            </div>


{{--                            <div class="mb-3">--}}
{{--                                <label for="color" class="form-label mb-8 h6">Color</label>--}}
{{--                                <select id="color" name="color" class="form-select">--}}
{{--                                    <option value="" disabled selected>Select a Color</option>--}}

{{--                                    @foreach($colors as $color)--}}
{{--                                        <option value="{{$color->id}}" {{ old('color', $color->id ?? '') == $product->color ? 'selected' : '' }}>{{$color->color}}</option>--}}
{{--                                    @endforeach--}}

{{--                                </select>--}}
{{--                                <span class="text-danger">--}}
{{--                                    @error('color'){{$message}}@enderror--}}
{{--                                </span>--}}
{{--                            </div>--}}

                            <div class="mb-3">
                                <label class="form-label mb-2 h6">Color</label>
                                <div class="d-flex">
                                    @foreach($colors as $color)
                                        <div class="form-check-inline">
                                            <input
                                                class="form-check-input"
                                                type="checkbox"
                                                name="color[]"
                                                value="{{ $color->id }}"
                                                id="color_{{ $color->id }}"
                                                {{ in_array($color->id, explode(',', $product->color ?? '')) ? 'checked' : '' }}
                                            >
                                            <label class="form-check-label" for="color_{{ $color->id }}">
                                                {{ ucfirst($color->color) }}
                                            </label>
                                        </div>
                                    @endforeach
                                </div>
                                <span class="text-danger">
                                    @error('color'){{ $message }}@enderror
                                </span>
                            </div>


                            <div class="mb-3">
                                <label for="weight" class="form-label mb-8 h6">Weight</label>
                                <input id="weight" type="text" class="form-control py-11" name="weight" value="{{ old('weight',$product->weight) }}" >
                                <span class="text-danger">
                                    @error('weight') {{$message}} @enderror
                                </span>
                            </div>
                            <div class="mb-3">
                                <label for="composition" class="form-label mb-8 h6">Composition</label>
                                <input id="composition" type="text" class="form-control py-11" name="composition" value="{{ old('composition',$product->composition) }}" >
                                <span class="text-danger">
                                    @error('composition') {{$message}} @enderror
                                </span>
                            </div>

                            <div class="mb-3">
                                <label for="price" class="form-label mb-8 h6">Price</label>
                                <input id="price" type="text" class="form-control py-11" name="price" value="{{ old('price',$product->price) }}" >
                                <span class="text-danger">
                                    @error('price') {{$message}} @enderror
                                </span>
                            </div>
                            <div class="mb-3">
                                <label for="descryption" class="form-label mb-8 h6">Descryption</label>
                                <input id="descryption" type="text" class="form-control py-11" name="descryption" value="{{ old('descryption',$product->descryption) }}" >
                                <span class="text-danger">
                                    @error('descryption') {{$message}} @enderror
                                </span>
                            </div>

                            <div class="mb-3">
                                <label for="image" class="form-label mb-8 h6"></label>
                                <input id="image" type="file" class="form-control py-11" name="image" value="{{ old('image',$product->name) }}">
                                <small class="form-text text-muted d-block mt-2">Image dimensions should be 260x300 pixels.</small>
                                <span class="text-danger">
                                    @error('image') {{$message}} @enderror
                                </span>
                            </div>

                            <button class="btn btn-primary" type="submit">Confirm</button>
                        </form>

                        @if(isset($product->image))
                            <br>
                            <img src="{{ url('/../../interior.images.local/'.$product->image) }}" width="150px" height="150px">

                        @endif

                    </div>
                </div>
            </div>
        </div>
    </div>

    </div>

@endsection
