@extends('layouts.main')

@push('nav_title')

    <a class="navbar-brand" href="{{route('users')}}">User</a>
@endpush

@section('page_title')
    <div class="container">
        <h1>Users List</h1>

        <div class="d-flex justify-content-between">
            <div class="User-page-management">
                <div class="user-management">
                    <div class="user-box">
                        <div class="user-icon"><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                        <h3 class="dashbord-text">Total Users: </h3>
                        <h1 class="user-count">{{ $users->count() }}</h1>
                    </div>
                </div>
            </div>
            <div class="User-page-management">
                
                <a href="{{route('user_form')}}">

                    <div class="user-management">
                        <div class="user-box">
                            <div class="user-icon "><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                            <h3 class="dashbord-text">User</h3>
                            <button id="add_user" class="btn btn-primary">Add User</button>
                        </div>
                    </div>

                    </div>
                    </div>
                </a>
        </div>
    </div>


@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection

@section('profile')

    @include('layouts/profile')

@endsection

@section('main_div')

    <div class="container">
        <table id="studentTable" class="table table-striped dataTable">
            <thead>
            <tr role="row">
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Name</th>
                <th class="fixed-width dt-orderable-none dt-ordering-asc"scope="col">Email</th>
                {{--                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Password</th>--}}
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Phone no</th>
                {{--                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Address</th>--}}
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Budget</th>
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Role</th>
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Status</th>
                <th class="fixed-width dt-orderable-none dt-ordering-asc" scope="col">Action</th>
            </tr>
            </thead>
            <tbody>
            @foreach($users as $user)
                <tr role="row">
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->name}}</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->email}}</td>
                    {{--                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->password}}</td>--}}
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->phone}}</td>
                    {{--                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->address}}</td>--}}
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->budget}}$</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->status}}</td>
                    <td class="h6 mb-0 fw-medium text-gray-300">{{$user->role}}</td>
                    <td>
                        <a href="{{route('edit_user',['id'=>$user->id])}}">
                            <span class="icon"><i class="far fa-edit"></i></span>
                        </a>
                        |
                        <a href="{{route('delete_user',['id'=>$user->id])}}">
                            <span class="icon"><i class="ph ph-trash"></i></span>
                        </a>
                    </td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>
    </div>

@endsection
