@extends('layouts.main')

@push('nav_title')
    <a class="navbar-brand" href="{{route('orders')}}">View Order</a>
@endpush

@section('page_title')

    <div class="container">
        <h1>View Order</h1>

        <div class="d-flex justify-content-between">
            <a href="{{route('orders')}}">
                <div class="card user-management">
                    <div class="card-body management">
                        <div class="upcoming-box">
                            <div class="upcoming-icon "><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                            <h1>Order List</h1>
                        </div>
                    </div>
                </div>
            </a>
        </div>
    </div>

@endsection

@section('side_bar')

    @include('layouts/side_bar')

@endsection

@section('profile')

    @include('layouts/profile')

@endsection

@section('main_div')

    <div class="container">
        @foreach($order_details as $order)
            <div class="mb-4 p-3 border rounded shadow-sm">
                <h2>User Name: {{ $order['user_name'] }}</h2>
                <p>Email: {{ $order['user_email'] }}</p>
                <p>Total: {{ $order['total'] }}</p>
                <p>Order Date: {{ $order['created_at'] }}</p>

                <h4 class="mt-3">Products:</h4>
                <ul>
                    @foreach($order['products'] as $product)
                        <li>
                            <strong>{{ $product['product_name'] }}</strong> —
                            Qty: {{ $product['quantity'] }},
                            Size: {{ $product['product_size'] }},
                            Price: {{ $product['price'] }},
                            In Stock: {{ $product['product_stock'] }}
                        </li>
                    @endforeach
                </ul>
            </div>
        @endforeach
    </div>

    <div class="container">

        <div class="mb-4 p-3 border rounded shadow-sm">

            <h3>Order Status</h3>

            <div class="tab-pane fade show active">
                <div class="card mt-24">
                    <div class="card-header border-bottom">
                        <div class="card-body">
                            <form method="post" action="{{$url}}" enctype="multipart/form-data">
                                @csrf

                                <input type="hidden" name="cart_total_id" value="{{ $cart_total_id }}">
                                <div class="mb-3">
                                    <label for="order_status" class="form-label mb-8 h6">Order Status</label>
                                    <select id="order_status" name="order_status" class="form-select">
                                        <option value="" disabled selected>Choose a Status of Order</option>
{{--                                        <option value="{{$sub_category->id}}" {{ old('category', $sub_category->id ?? '') == $product->category ? 'selected' : '' }}>{{$sub_category->sub_category}}</option>--}}
                                        <option value="pending" @if($current_order_status == 'pending') selected @endif>Pending</option>
                                        <option value="delivered" @if($current_order_status == 'delivered') selected @endif>Delivered</option>
                                    </select>
                                    <span class="text-danger">
                                        @error('category'){{$message}}@enderror
                                    </span>
                                </div>
                                <button class="btn btn-primary" type="submit">Confirm</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>

@endsection
