<?php $__env->startPush('nav_title'); ?>
    <a class="navbar-brand" href="<?php echo e(route('products')); ?>">Product</a>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('page_title'); ?>
    <div class="container">
        <h1>Products List</h1>

        <div class="d-flex justify-content-between">
            <div class="card user-management">
                <div class="card-body management">
                    <div class="upcoming-box">
                        <div class="upcoming-icon"><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                        <h1>Total Products: <?php echo e($products->count()); ?></h1>
                    </div>

            <div class="add-product-btn">
                <a href="<?php echo e(route('product_form')); ?>">
                    <button class="btn btn-primary">Add Product</button>
                </a>
            </div>
        </div>

        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('side_bar'); ?>

    <?php echo $__env->make('layouts/side_bar', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('profile'); ?>

    <?php echo $__env->make('layouts/profile', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>

<?php $__env->stopSection(); ?>


<?php $__env->startSection('main_div'); ?>
    <div class="container">

        <div class="product-card">
            <div class="product-body">
                <div class="row g-20">
                    <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

                        <div class="col-xxl-3 col-lg-4 col-sm-6">
                            <div class="product-box">
                                <div class="product-img">

                                    <img src="<?php echo e(url('/../../interior.images.local/'.$product->image)); ?>">
                                </div>
                                    <div class="p-8">
                                        <h5 class="mb-8"><a href="course-details.html" class="hover-text-main-600"><?php echo e($product->name); ?></a></h5>
                                        <div class="flex-between gap-4 flex-wrap mt-10">
                                            <div class="flex-align gap-2">
                                                <span class="price"><i class="fa-solid fa-dollar-sign"></i><?php echo e($product->price); ?></span>
                                            </div>
                                        </div>
                                        <div class="flex-align gap-8">
                                            <div class="flex-align gap-2">
                                                <span class="text-sm text-main-600 d-flex"><i class="fas fa-sort-amount-up"></i></span>
                                                <span class="text-18 text-gray-600"><?php echo e($product->quantity); ?></span>
                                            </div>
                                            <div class="flex-align gap-2">
                                                <span class="text-sm text-main-600 d-flex"><i class="fa-solid fa-up-right-and-down-left-from-center"></i></span>
                                                <span class="text-18 text-gray-600"><?php echo e($product->size); ?></span>
                                            </div>


                                            <div class="flex-between gap-4 flex-wrap ">
                                                <div class="flex-align gap-2">
                                                    <a href="<?php echo e(route('edit_product',['id'=>$product->id])); ?>">
                                                        <span class="icon"><i class="fas fa-edit"></i></span>
                                                    </a>
                                                    |
                                                    <a href="<?php echo e(route('delete_product',['id'=>$product->id])); ?>">
                                                        <span class="icon"><i class="ph ph-trash"></i></span>
                                                    </a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>


                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                </div>
            </div>
        </div>
    </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /homec/huzaifahostriple/public_html/interior/admin.interior.local/resources/views/products.blade.php ENDPATH**/ ?>