<?php $__env->startPush('nav_title'); ?>
    <a class="navbar-brand" href="<?php echo e(route('orders')); ?>">View Order</a>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('page_title'); ?>

    <div class="container">
        <h1>View Order</h1>

        <div class="d-flex justify-content-between">
            <a href="<?php echo e(route('orders')); ?>">
                <div class="card user-management">
                    <div class="card-body management">
                        <div class="upcoming-box">
                            <div class="upcoming-icon "><span class="d-flex text-xl"><i class="fa-solid fa-user"></i></span></div>
                            <h1>Order List</h1>
                        </div>
                    </div>
                </div>
            </a>
        </div>
    </div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('side_bar'); ?>

    <?php echo $__env->make('layouts/side_bar', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('profile'); ?>

    <?php echo $__env->make('layouts/profile', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('main_div'); ?>

    <div class="container">
        <?php $__currentLoopData = $order_details; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="mb-4 p-3 border rounded shadow-sm">
                <h2>User Name: <?php echo e($order['user_name']); ?></h2>
                <p>Email: <?php echo e($order['user_email']); ?></p>
                <p>Total: <?php echo e($order['total']); ?></p>
                <p>Order Date: <?php echo e($order['created_at']); ?></p>

                <h4 class="mt-3">Products:</h4>
                <ul>
                    <?php $__currentLoopData = $order['products']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li>
                            <strong><?php echo e($product['product_name']); ?></strong> —
                            Qty: <?php echo e($product['quantity']); ?>,
                            Size: <?php echo e($product['product_size']); ?>,
                            Price: <?php echo e($product['price']); ?>,
                            In Stock: <?php echo e($product['product_stock']); ?>

                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>

    <div class="container">

        <div class="mb-4 p-3 border rounded shadow-sm">

            <h3>Order Status</h3>

            <div class="tab-pane fade show active">
                <div class="card mt-24">
                    <div class="card-header border-bottom">
                        <div class="card-body">
                            <form method="post" action="<?php echo e($url); ?>" enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>

                                <input type="hidden" name="cart_total_id" value="<?php echo e($cart_total_id); ?>">
                                <div class="mb-3">
                                    <label for="order_status" class="form-label mb-8 h6">Order Status</label>
                                    <select id="order_status" name="order_status" class="form-select">
                                        <option value="" disabled selected>Choose a Status of Order</option>

                                        <option value="pending" <?php if($current_order_status == 'pending'): ?> selected <?php endif; ?>>Pending</option>
                                        <option value="delivered" <?php if($current_order_status == 'delivered'): ?> selected <?php endif; ?>>Delivered</option>
                                    </select>
                                    <span class="text-danger">
                                        <?php $__errorArgs = ['category'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><?php echo e($message); ?><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </span>
                                </div>
                                <button class="btn btn-primary" type="submit">Confirm</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /homec/huzaifahostriple/public_html/interior/admin.interior.local/resources/views/view_order.blade.php ENDPATH**/ ?>