<?php

namespace App\Http\Controllers;

use App\Models\order_status_model;
use App\Models\product_category_setting_model;
use Illuminate\Http\Request;
use App\Models\product_model;
use App\Models\cart_model;
use App\Models\cart_total_model;
use App\Models\user_model;

class order_detail_controller extends Controller
{
    protected $products;
    protected $users;
    protected $cart;
    protected $cart_total;
    protected $category;
    protected $order_status;
    public function __construct(){

        $this->products = new product_model;
        $this->users = new user_model;
        $this->cart = new cart_model;
        $this->cart_total = new cart_total_model;
        $this->category = new product_category_setting_model;
        $this->order_status = new order_status_model;
    }

    public function index($id){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $carts = session()->get('cart', []);
        $cart_unique_items = is_array($carts) ? count($carts) : 0;

        $products = $this->products->all();
        $categories = $this->category->all();
        $user = $login_user;

        $cart_total = $this->cart_total->where('cart_group',$id)->first();
        $saved_orders = $this->cart->where('groupid',$id)->get();

        $current_order_status = $this->order_status->where('cart_total_id',$cart_total->id)->value('order_status');

        $cart_group_id = str_replace('cart_', '', $id);

        $order_details = [];
        $user_products = [];
        foreach ($saved_orders as $cart) {
            if ($login_user->id == $cart->userid) {

                $product = $this->products->where('id', $cart->pid)->first();

                $user_products[] = [
                    'pid' => $cart->pid ?? '',
                    'quantity' => $cart->quantity ?? '',
                    'price' => $cart->price ?? '',
                    'product_image' => $product->image ?? '',
                    'product_name' => $product->name ?? '',
                    'product_stock' => $product->quantity ?? '',
                    'product_size' => $product->size ?? '',
                    'product_price' => $product->price ?? '',
                ];

                $order_details = [
                    'order_id' => $cart_total->id,
                    'userid' => $login_user->id,
                    'user_name' => $login_user->name,
                    'user_email' => $login_user->email,
                    'cart_group_id' => $cart_group_id,
                    'total' => $cart_total->total,
                    'created_at' => $cart_total->created_at->format('Y-m-d H:i:s'),
                    'products' => $user_products,
                ];
            }
        }

        $data = compact('products','login_user','carts','cart_unique_items','user','categories','order_details','current_order_status');
        return view('order_detail')->with($data);
    }

}
