<?php

namespace App\Http\Controllers;

use App\Models\user_model;
use App\Models\budget_model;
use App\Models\login_model;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class user_controller extends Controller
{
    protected $users;
    protected $login;

    public function __construct()
    {
        $this->users = new user_model;
        $this->login = new login_model;
        $this->budgets = new budget_model;
    }

    public function edit($id){

        $login_user_id = session('userid');
        $login_user = $this->users->find($login_user_id);

        $user = $this->users->find($id);
        $url = route('update_account', ['id' => $id]);

        $show_remaining_credits = true;
        $data = compact('user','login_user','url','show_remaining_credits');

        return view('account')->with($data);

    }

    public function update($id,Request $request){

        $request->validate([
            'name' => 'required',
            'email' => 'email|required',
            'password' => 'required|min:6',
            'phone' => 'required',
            'address' => 'required',
        ]);

        $user = $this->users->find($id);
        if (!$user) {
            return redirect(route('users'));
        }

        $user->name = $request['name'];
        $user->email = $request['email'];

        if($request['password'] == '******'){

        }else{
            $user->password = Hash::make($request['password']);
        }
        $user->phone = $request['phone'];
        $user->address = $request['address'];
        $user->save();

        $login = $this->login->where('userid', $user->id)->first();
        $login->name = $request['name'];
        if($request['password'] == '******'){

        }else{
            $login->password = Hash::make($request['password']);
        }
        $login->save();


        return redirect(route('home'));
    }
}
