<?php
use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Session;

use App\Http\Controllers\login_controller;
use App\Http\Controllers\order_product_controller;
use App\Http\Controllers\user_controller;
use App\Http\Controllers\home_controller;
use App\Http\Controllers\card_detail_controller;
use App\Http\Controllers\order_detail_controller;
use App\Http\Controllers\orders_controller;


Route::get('/',[login_controller::class,'index'])->name('login');
Route::post('/login_form',[login_controller::class,'login'])->name('submit_login_form');
Route::get('/logout',[login_controller::class,'logout'])->name('logout');


Route::middleware(['checklogin'])->group(function () {

    Route::get('/order',[order_detail_controller::class,'index'])->name('order_detail');

    Route::get('/card_detail/{id}',[card_detail_controller::class,'index'])->name('card_detail');
    Route::get('/card_detail/increase_quantity/{id}',[card_detail_controller::class,'increase_quantity'])->name('increase_quantity');
    Route::get('/card_detail/decrease_quantity/{id}',[card_detail_controller::class,'decrease_quantity'])->name('decrease_quantity');

    Route::get('/cart/partial', function () {
        $carts = Session::get('cart', []);
        $cart_unique_items = count($carts);

        return view('layouts.cart', compact('carts', 'cart_unique_items'));
    })->name('cart.partial');


    //---------------------------------
    Route::get('/home',[home_controller::class,'index'])->name('home');

    //------------------------
    Route::get('/products',[order_product_controller::class,'product_list'])->name('product_list');

    Route::get('/products/add-to-cart/{id}', [order_product_controller::class, 'add_to_cart'])->name('add_to_cart');
//    Route::post('/products/add-to-cart', [order_product_controller::class, 'add_to_cart'])->name('add_to_cart');
    Route::get('/cart/delete/{id}', [order_product_controller::class, 'delete'])->name('delete_unique_item');

    Route::get('/products/checkout', [order_product_controller::class, 'checkout'])->name('checkout');
//    Route::post('/products/checkout', [order_product_controller::class, 'checkout'])->name('checkout');


    Route::get('/products/filter_category/{id?}',[order_product_controller::class,'product_list'])->name('filter_product_list');

    //------------------------
    Route::get('/account/edit/{id}',[user_controller::class,'edit'])->name('edit_account');
    Route::post('/account/update/{id}',[user_controller::class,'update'])->name('update_account');

    //---------------------------------
    Route::get('/orders',[orders_controller::class,'order_list'])->name('orders');

});
